<template>
  <div>
    <!-- 👉 The Card for Vendors -->
    <VContainer class="fill-height">
      <!-- 👉 This class is for mantaining the same SIZE All the cards -->
      <VRow align-stretch>
        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                <RouterLink :to="{ name: 'vendors' }">
                  <VIcon
                    icon="tabler-users"
                    class="align-top"
                    size="22"
                  />
                  <span class="ms-2">Vendors</span>
                </RouterLink>
              </VCardTitle>
            </VCardItem>
            <VCardText>
              Vendors contains all productions pipelines to onboard and test CNF. Those pipelines are ordered by the the
            CNF vendors
            </VCardText>
          </VCard>
        </VCol>

        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                <RouterLink :to="{ name: 'search-pipeline' }">
                  <VIcon
                    icon="tabler-bell"
                    class="align-top"
                    size="22"
                  />
                  <span class="ms-2">Search Pipeline</span>
                </RouterLink>
              </VCardTitle>
            </VCardItem>
            <VCardText>
              You can search here for each pipeline that has been launched in the system and a quick view of their status.
            </VCardText>
          </VCard>
        </VCol>

        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                <RouterLink :to="{ name: 'dashboards' }">
                  <VIcon
                    icon="tabler-message-check"
                    class="align-top"
                    size="22"
                  />
                  <span class="ms-2">Dashboards</span>
                </RouterLink>
              </VCardTitle>
            </VCardItem>
            <VCardText>
              Links to external dashboards, Grafana and Kibana, where you can find detailed system statistics..
            </VCardText>
          </VCard>
        </VCol>

      <main role="main" class="inner cover" style="text-align: center;width: 100%;">
      
      <p class="lead">Take full advantage of the ANA framework. Get faster and more secure deployments by using the
        full
        DevSecOps cycle.</p>
      <p class="lead">
        <a :href="docsUri" class="btn btn-lg btn-secondary" target="_blank">Learn more</a>
      </p>
      
        <img
          class="image-gray-trans"
          width="25%"
          src="@images/logo/cap-logo.png"
          alt="ANA"
        >
      

    </main>
  </VRow>
    </VContainer>
  </div>
</template>

<style scoped>
.image-gray-trans {
  opacity: 0.2; /* Establece la transparencia */
  filter: grayscale(80%); /* Desatura los colores al 50% */
}

.d-flex .v-card {
  display: flex;
  flex-direction: column;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.title {
  margin: 5%;
  color: #4479b0;
}

.image {
  display: flex;
  align-items: center;
  flex-direction: column;
}



</style>
